Discussion:
arch-audit didn't survive the openssl upgrade to 1.1.0
(too old to reply)
Ricardo Band
2017-04-27 13:46:31 UTC
Permalink
Raw Message
Ahoi,

arch-audit in version 0.1.8-2 still looks for openssl 1.0.0:

arch-audit: error while loading shared libraries: libssl.so.1.0.0:
cannot open shared object file: No such file or directory

After installing openssl-1.0 it works again.

I see 2 solutions here. Update arch-audit to use OpenSSL 1.1 or add
openssl-1.0 as a dependency to arch-audit package.
--
Greetings

Ricardo Band

 https://   www.ricardo.band
mailto:// ***@ricardo.band
Jelle van der Waa
2017-04-27 14:02:17 UTC
Permalink
Raw Message
Post by Ricardo Band
Ahoi,
cannot open shared object file: No such file or directory
After installing openssl-1.0 it works again.
I see 2 solutions here. Update arch-audit to use OpenSSL 1.1 or add
openssl-1.0 as a dependency to arch-audit package.
For these issues we have a bugtracker on https://bugs.archlinux.org
--
Jelle van der Waa
Christian Rebischke
2017-04-27 15:36:03 UTC
Permalink
Raw Message
Post by Ricardo Band
Ahoi,
cannot open shared object file: No such file or directory
After installing openssl-1.0 it works again.
I see 2 solutions here. Update arch-audit to use OpenSSL 1.1 or add
openssl-1.0 as a dependency to arch-audit package.
Thanks,
I will have a look at it and rebuild arch-audit today. Expect the next
release in some hours :)

chris

Loading...